com.h3c.util.pkt

## Class Lldp

- java.lang.Object
- - com.h3c.util.pkt.Lldp

- All Implemented Interfaces:
    Protocol
  Direct Known Subclasses:
    Bddp

      public class Lldp
      extends Object
      implements Protocol

  LLDP data store (immutable) and associated `Lldp.Builder` (mutable).

  There are no OpenFlow match fields that reference this protocol.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Lldp.Builder` Builder (mutable) used to create new protocol instances.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Lldp(Lldp lldp)` Internally used by sub-classes to create protocol instances.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LldpTlv` | `chassisId()` Returns the chassis ID.
    `ProtocolId` | `id()` Returns the protocol ID.
    `EnumMap<LldpTlv.Type,LldpTlv>` | `options()` Returns the options in the form of a map to allow access based on `LldpTlv`.
    `LldpTlv` | `portId()` Returns the port ID.
    `LldpTlv[]` | `privateOptions()` Returns a copy of the private options.
    `String` | `toDebugString()` Returns the protocol debug string.
    `String` | `toString()`
    `LldpTlv` | `ttl()` Returns the time to live value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lldp

          protected Lldp(Lldp lldp)

      Internally used by sub-classes to create protocol instances.
      Parameters:
        `lldp` - LLDP protocol instance

  - ### Method Detail

    - #### id

          public ProtocolId id()

      Description copied from interface: `Protocol`
      Returns the protocol ID.
      Specified by:
        `id` in interface `Protocol`
      Returns:
        protocol ID

    - #### chassisId

          public LldpTlv chassisId()

      Returns the chassis ID.
      Returns:
        the chassis ID

    - #### portId

          public LldpTlv portId()

      Returns the port ID.
      Returns:
        the port ID

    - #### ttl

          public LldpTlv ttl()

      Returns the time to live value.
      Returns:
        the time to live value

    - #### options

          public EnumMap<LldpTlv.Type,LldpTlv> options()

      Returns the options in the form of a map to allow access based on `LldpTlv`. Note that there is a also a `privateOptions()` method to return the private options.
      Returns:
        the options in the form of a map

    - #### privateOptions

          public LldpTlv[] privateOptions()

      Returns a copy of the private options. Note that there is also a `options()` method to return the non-private options.
      Returns:
        the private options

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toDebugString

          public String toDebugString()

      Description copied from interface: `Protocol`
      Returns the protocol debug string.
      Specified by:
        `toDebugString` in interface `Protocol`
      Returns:
        the protocol debug string

Copyright © 2014. All Rights Reserved.